Package org.apache.sysds.runtime.compress.cocode

## Interface CoCoderFactory

    public interface CoCoderFactory

### Nested Class Summary

Nested Classes
`static class` `CoCoderFactory.PartitionerType` The Valid coCoding techniques

### Method Summary

Static Methods
`static CompressedSizeInfo` `findCoCodesByPartitioning​(AComEst est, CompressedSizeInfo colInfos, int k, ACostEstimate costEstimator, CompressionSettings cs)` Main entry point of CoCode.

### Method Detail

#### findCoCodesByPartitioning

    static CompressedSizeInfo findCoCodesByPartitioning​(AComEst est,
                                                        CompressedSizeInfo colInfos,
                                                        int k,
                                                        ACostEstimate costEstimator,
                                                        CompressionSettings cs)

Main entry point of CoCode. This package groups together ColGroups across columns, to improve compression further,

Parameters:
  `est` - The size estimator used for estimating ColGroups potential sizes and construct compression info objects
  `colInfos` - The information already gathered on the individual ColGroups of columns.
  `k` - The concurrency degree allowed for this operation.
  `costEstimator` - The Cost estimator to estimate the cost of the compression
  `cs` - The compression settings used in the compression.
Returns:
  The estimated (hopefully) best groups of ColGroups.